## tagua 1.0~alpha2

=== CMakeLists.txt ===
PROJECT(tagua)
CMAKE_MINIMUM_REQUIRED(VERSION 2.4.0)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

include(Tagua)

if (NOT CMAKE_BUILD_TYPE)
  set(DEBUG_BUILD 0)
else (NOT CMAKE_BUILD_TYPE)
  string(REGEX MATCH "debug" DEBUG_BUILD ${CMAKE_BUILD_TYPE})
endif (NOT CMAKE_BUILD_TYPE)

# boost
FIND_PACKAGE(Boost)

# lua
IF(SYSTEM_LUA) # use lua installed in the system
  INCLUDE(UsePkgConfig)

  IF(LUA_PKG)
    PKGCONFIG(${LUA_PKG} LUA_INCLUDE_DIRS LUA_LIBRARY_DIRS LUA_LINK_FLAGS LUA_CFLAGS)
  ELSE(LUA_PKG)
    PKGCONFIG(lua5.1 LUA_INCLUDE_DIRS LUA_LIBRARY_DIRS LUA_LINK_FLAGS LUA_CFLAGS)
    IF(NOT LUA_LINK_FLAGS)
      PKGCONFIG(lua LUA_INCLUDE_DIRS LUA_LIBRARY_DIRS LUA_LINK_FLAGS LUA_CFLAGS)
    ENDIF(NOT LUA_LINK_FLAGS)
  ENDIF(LUA_PKG)

  ADD_CUSTOM_TARGET(lua_library)
ELSE(SYSTEM_LUA) # use the embedded lua source
  SET(LUA_BIN_DIR "${CMAKE_CURRENT_BINARY_DIR}/lua")
  SET(LUA_INCLUDE_DIRS "${LUA_BIN_DIR}/include")
  SET(LUA_LIBRARY_DIRS "${LUA_BIN_DIR}")
  SET(LUA_LINK_FLAGS lua)

  ADD_SUBDIRECTORY(lua)
ENDIF(SYSTEM_LUA)

ADD_DEFINITIONS(-fexceptions)
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

# blitz
FIND_PACKAGE(Blitz REQUIRED)

set(CMAKE_CXX_FLAGS_DEBUGFULL "${CMAKE_C_FLAGS_DEBUGFULL} -DTAGUA_DEBUG")
add_definitions(-DQT_NO_KEYWORDS ${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(translations)

enable_testing()
add_subdirectory(tests EXCLUDE_FROM_ALL)

=== data/CMakeLists.txt ===
add_subdirectory(highlighting)
add_subdirectory(pics)
add_subdirectory(piece_icons)
add_subdirectory(scripts)
add_subdirectory(themes)

=== lua/CMakeLists.txt ===

SET(LUA_SRC
  src/lapi.c
  src/lcode.c
  src/ldebug.c
  src/ldo.c
  src/ldump.c
  src/lfunc.c
  src/lgc.c
  src/llex.c
  src/lmem.c
  src/lobject.c
  src/lopcodes.c
  src/lparser.c
  src/lstate.c
  src/lstring.c
  src/ltable.c
  src/ltm.c
  src/lundump.c
  src/lvm.c
  src/lzio.c
  src/lauxlib.c
  src/lbaselib.c
  src/ldblib.c
  src/liolib.c
  src/lmathlib.c
  src/loslib.c
  src/ltablib.c
  src/lstrlib.c
  src/loadlib.c
  src/linit.c
  src/lapi.h
  src/lauxlib.h
  src/lcode.h
  src/ldebug.h
  src/ldo.h
  src/lfunc.h
  src/lgc.h
  src/llex.h
  src/llimits.h
  src/lmem.h
  src/lobject.h
  src/lopcodes.h
  src/lparser.h
  src/lstate.h
  src/lstring.h
  src/ltable.h
  src/ltm.h
  src/luaconf.h
  src/lua.h
  src/lualib.h
  src/lundump.h
  src/lvm.h
  src/lzio.h
)

SET(LUA_HEADERS
  src/lua.h
  src/luaconf.h
  src/lualib.h
  src/lauxlib.h
  etc/lua.hpp
)

FILE(MAKE_DIRECTORY include)
FOREACH(HEADER ${LUA_HEADERS})
  GET_FILENAME_COMPONENT(H ${HEADER} NAME)
  CONFIGURE_FILE(${HEADER} "${LUA_INCLUDE_DIRS}/${H}" COPYONLY)
ENDFOREACH(HEADER)


IF("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
  ADD_DEFINITIONS(-DLUA_USE_LINUX)
  MESSAGE("* Looks like you're using Linux, lua will be compiled with")
  MESSAGE("    CFlags:    -DLUA_USE_LINUX")
ELSE("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")
  IF(UNIX)
    MESSAGE("* Looks like you're some Unix, lua will be compiled with")
    MESSAGE("    CFlags:    -DLUA_USE_POSIX -DLUA_USE_DLOPEN")
    MESSAGE("  I hope this is not too optimistic for your system")
    ADD_DEFINITIONS(-DLUA_USE_POSIX -DLUA_USE_DLOPEN)
  ELSE(UNIX)
    MESSAGE("* Could not recognise you system, lua will be compiled with generic options")
  ENDIF(UNIX)
ENDIF("${CMAKE_SYSTEM_NAME}" STREQUAL "Linux")

# -DLUA_USE_APICHECK is mandatory for debugging!
set(CMAKE_C_FLAGS_DEBUGFULL "${CMAKE_C_FLAGS_DEBUGFULL} -DLUA_USE_APICHECK")

ADD_LIBRARY(lua STATIC ${LUA_SRC})

=== src/CMakeLists.txt ===

set(tagua_SRC
  controllers/editgame.cpp
  controllers/abstract.cpp
  controllers/editposition.cpp
  controllers/entitytoken.cpp

  loader/image.cpp
  loader/theme.cpp
  loader/context.cpp

  luaapi/lfunclib.c
  luaapi/options.cpp
  luaapi/luahl.cpp
  luaapi/genericwrapper.cpp
  luaapi/loader.cpp
  luaapi/imaging.cpp
  luaapi/luavalue.cpp

  entities/gameentity.cpp
  entities/userentity.cpp
  entities/examinationentity.cpp
  entities/entity.cpp
  entities/engineentity.cpp
  entities/icsentity.cpp
  
  hlvariant/chess/variant.cpp
  hlvariant/chess/san.cpp
  hlvariant/chess/icsverbose.cpp
  hlvariant/chess/move.cpp
  hlvariant/chess/gamestate.cpp
  hlvariant/chess/piece.cpp
  hlvariant/chess/actions.cpp
  
  hlvariant/dummy/variant.cpp
  
  hlvariant/crazyhouse/variant.cpp
  hlvariant/crazyhouse/piece.cpp
  
  hlvariant/minichess5/variant.cpp
  
  hlvariant/shogi/variant.cpp
  hlvariant/shogi/piece.cpp
  hlvariant/shogi/shogiactions.cpp

  hlvariant/minishogi/variant.cpp

  hlvariant/sho-shogi/variant.cpp

  hlvariant/tori-shogi/variant.cpp
  hlvariant/tori-shogi/piece.cpp

  animationfactory.cpp
  constrainedtext.cpp
  movelist.cpp
  infodisplay.cpp
  engineinfo.cpp
  premove.cpp
  mainanimation.cpp
  random.cpp
  point.cpp
  sprite.cpp
  pref_movelist.cpp
  option.cpp
  graphicalsystem.cpp
  agentgroup.cpp
  graphicalgame.cpp
  imageeffects.cpp
  crash.cpp
  flash.cpp
  histlineedit.cpp
  pathinfo.cpp
  pref_theme.cpp
  gameinfo.cpp
  console.cpp
  animation.cpp
  pref_engines.cpp
  clock.cpp
  chesstable.cpp
  index.cpp
  mastersettings.cpp
  location.cpp
  hline.cpp
  xboardengine.cpp
  gnushogiengine.cpp
  settings.cpp
  positioninfo.cpp
  engine.cpp
  ui.cpp
  movelist_widget.cpp
  pref_preferences.cpp
  poolinfo.cpp
  pixmaploader.cpp
  qconnect.cpp
  pref_board.cpp
  game.cpp
  piecepool.cpp
  movelist_textual.cpp
  icsconnection.cpp
  mainwindow.cpp
  board.cpp
  common.cpp
  pgnparser.cpp
  movement.cpp
  connection.cpp
  movelist_table.cpp
  newgame.cpp
  option_p.cpp
  themeinfo.cpp
  namedsprite.cpp
  icsgamedata.cpp
  turnpolicy.cpp
  decoratedmove.cpp
  variants.cpp
  actioncollection.cpp
  tabwidget.cpp
)

# remove spurious xpressive warnings
set_source_files_properties(icsconnection.cpp
  PROPERTIES COMPILE_FLAGS -Wno-extra)

kde4_add_ui_files(tagua_SRC
  ui/pref_highlight.ui
  ui/newgamedialog.ui
  ui/pref_engines.ui
  ui/preferences.ui
  ui/gametags.ui
  ui/pref_movelist.ui
  ui/quickconnect.ui
  ui/pref_theme.ui
  ui/pref_theme_page.ui
  ui/pref_board.ui
)

include_directories(
  ${KDE4_INCLUDES}
  ${LUA_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${BLITZ_INCLUDES}
  ${CMAKE_CURRENT_BINARY_DIR}
)

add_definitions(
  ${LUA_CFLAGS}
)

if(NOT DEFINED COMPILER_HAVE_X86_MMX)
  check_cxx_source_compiles(" int main() { __asm__(\"pxor %mm0, %mm0\") ; }" COMPILER_HAVE_X86_MMX)
endif(NOT DEFINED COMPILER_HAVE_X86_MMX)

if(NOT DEFINED COMPILER_HAVE_X86_SSE2)
  check_cxx_source_compiles(" int main() { __asm__(\"xorpd %xmm0, %xmm0\"); }" COMPILER_HAVE_X86_SSE2)
endif(NOT DEFINED COMPILER_HAVE_X86_SSE2)

if(COMPILER_HAVE_X86_MMX)
  list(APPEND tagua_SRC imageeffects_mmx.cpp)
  set_source_files_properties(imageeffects_mmx.cpp PROPERTIES COMPILE_FLAGS -mmmx)
  set_source_files_properties(imageeffects.cpp PROPERTIES COMPILE_FLAGS -DHAVE_X86_MMX)
endif(COMPILER_HAVE_X86_MMX)

if(COMPILER_HAVE_X86_SSE2)
  list(APPEND tagua_SRC imageeffects_sse.cpp)
  set_source_files_properties(imageeffects_sse.cpp PROPERTIES COMPILE_FLAGS -msse2)
  set_source_files_properties(imageeffects.cpp PROPERTIES COMPILE_FLAGS -DHAVE_X86_SSE2)
endif(COMPILER_HAVE_X86_SSE2)

if(DEBUG_BUILD)
  set(TAGUA_TARGET taguaprivate)
  
  kde4_add_library(taguaprivate SHARED ${tagua_SRC})
  kde4_add_executable(tagua main.cpp)
else(DEBUG_BUILD)
  set(TAGUA_TARGET tagua)
  kde4_add_executable(tagua main.cpp ${tagua_SRC})
endif(DEBUG_BUILD)


link_directories(
  ${LUA_LIBRARY_DIRS}
  ${Boost_LIBRARY_DIRS}
  ${CMAKE_BINARY_DIR}/lib
)
target_link_libraries(${TAGUA_TARGET}
  ${LUA_LINK_FLAGS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${BLITZ_LIBRARIES}
  dl
  kdegames
)  
  
if(DEBUG_BUILD)
  target_link_libraries(tagua taguaprivate)
  install(TARGETS taguaprivate DESTINATION ${LIB_INSTALL_DIR})
endif(DEBUG_BUILD)


INSTALL(TARGETS tagua DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
install(FILES tagua.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES taguaui.rc DESTINATION  ${DATA_INSTALL_DIR}/tagua)

=== tests/CMakeLists.txt ===
# some tests require cppunit
find_package(CPPUNIT)
if(CPPUNIT_FOUND)
  add_subdirectory(settings)
  add_subdirectory(weak_set)
  add_subdirectory(hlvariants)
else(CPPUNIT_FOUND)
  message("CppUnit not found. Tests requiring it will not be compiled.")
endif(CPPUNIT_FOUND)

=== data/highlighting/CMakeLists.txt ===
install(FILES highlighting.lua
DESTINATION ${DATA_INSTALL_DIR}/tagua/highlighting)

=== data/piece_icons/CMakeLists.txt ===
install(FILES
  b.png
  k.png
  n.png
  p.png
  q.png
  r.png
DESTINATION ${DATA_INSTALL_DIR}/tagua/pictures)

=== tests/hlvariants/CMakeLists.txt ===
set(main_dir "../../src")

SET(hl_SRC
  ../cppunit_main.cpp
  boardtest.cpp
  chesspiecetest.cpp
  chessgamestatetest.cpp
  chessmovetest.cpp
  chesslegalitytest.cpp
  chesswrappedtest.cpp
  chessserializationtest.cpp
  pooltest.cpp
  shogideserializationtest.cpp
)

include_directories(
  ${KDE4_INCLUDES}
  ${Boost_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/${main_dir}
)

add_executable(hl_test ${hl_SRC})
target_link_libraries(hl_test taguaprivate ${CPPUNIT_LIBRARIES})

add_test(hl hl_test)

=== tests/luaimage/CMakeLists.txt ===

SET(this_test luaimage)


FILE(GLOB_RECURSE ${this_test}_SRC_CXX *.cpp)
FILE(GLOB_RECURSE ${this_test}_SRC_C *.c)
SET(${this_test}_SRC ${${this_test}_SRC_CXX} ${${this_test}_SRC_C})

FILE(GLOB_RECURSE ${this_test}_UIS *.ui)


# i have to do this because QT4_WRAP_UI is stupid
SET(old_bin_dir ${CMAKE_CURRENT_BINARY_DIR})
SET(CMAKE_CURRENT_BINARY_DIR ${old_bin_dir}/ui)
QT4_WRAP_UI(${this_test}_UIS_H ${${this_test}_UIS})
SET(CMAKE_CURRENT_BINARY_DIR ${old_bin_dir})


# QT4_AUTOMOC is not very intelligent either
QT4_AUTOMOC(
  ${${this_test}_SRC})

ADD_EXECUTABLE(
  ${this_test} ${${this_test}_SRC})


INCLUDE_DIRECTORIES(
  .
  ${QT_INCLUDE_DIR}
  #${QT_QTNETWORK_INCLUDE_DIR}
  ${QT_QTSVG_INCLUDE_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${LUA_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${KDE4_INCLUDE_DIR}
)

ADD_DEFINITIONS(
  ${LUA_CFLAGS}
)

LINK_DIRECTORIES(
  ${LUA_LIBRARY_DIRS}
  ${Boost_LIBRARY_DIRS}
)

TARGET_LINK_LIBRARIES(${this_test}
  ${QT_LIBRARIES}
  #${QT_QTNETWORK_LIBRARIES}
  ${QT_QTSVG_LIBRARIES}
  ${LUA_LINK_FLAGS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
)

=== tests/movelist/CMakeLists.txt ===

SET(this_test movelist)
SETUP_SOURCES(${this_test}_SRC ${this_test}_UIS)


# i have to do this because QT4_WRAP_UI is stupid
SET(old_bin_dir ${CMAKE_CURRENT_BINARY_DIR})
SET(CMAKE_CURRENT_BINARY_DIR ${old_bin_dir}/ui)
QT4_WRAP_UI(${this_test}_UIS_H ${${this_test}_UIS})
SET(CMAKE_CURRENT_BINARY_DIR ${old_bin_dir})


# QT4_AUTOMOC is not very intelligent either
QT4_AUTOMOC(
  ${${this_test}_SRC})

ADD_EXECUTABLE(
  ${this_test} ${${this_test}_SRC})


INCLUDE_DIRECTORIES(
  ${QT_INCLUDE_DIR}
  #${QT_QTNETWORK_INCLUDE_DIR}
  #${QT_QTSVG_INCLUDE_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  #${LUA_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${KDE4_INCLUDE_DIR}
  .
  ${CMAKE_CURRENT_BINARY_DIR}
)

ADD_DEFINITIONS(
  ${LUA_CFLAGS}
  -DNO_PGN
)

LINK_DIRECTORIES(
  #${LUA_LIBRARY_DIRS}
  ${Boost_LIBRARY_DIRS}
)

TARGET_LINK_LIBRARIES(${this_test}
  ${QT_LIBRARIES}
  #${QT_QTNETWORK_LIBRARIES}
  #${QT_QTSVG_LIBRARIES}
  ${QT_QTXML_LIBRARIES}
  #${LUA_LINK_FLAGS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_KHTML_LIBS}
)

=== tests/options/CMakeLists.txt ===

SET(this_test options)
SETUP_SOURCES(${this_test}_SRC ${this_test}_UIS)


# i have to do this because QT4_WRAP_UI is stupid
SET(old_bin_dir ${CMAKE_CURRENT_BINARY_DIR})
SET(CMAKE_CURRENT_BINARY_DIR ${old_bin_dir}/ui)
QT4_WRAP_UI(${this_test}_UIS_H ${${this_test}_UIS})
SET(CMAKE_CURRENT_BINARY_DIR ${old_bin_dir})


# QT4_AUTOMOC is not very intelligent either
QT4_AUTOMOC(
  ${${this_test}_SRC})

ADD_EXECUTABLE(
  ${this_test} ${${this_test}_SRC})


INCLUDE_DIRECTORIES(
  ${QT_INCLUDE_DIR}
  #${QT_QTNETWORK_INCLUDE_DIR}
  ${QT_QTSVG_INCLUDE_DIR}
  ${QT_QTXML_INCLUDE_DIR}
  ${LUA_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${KDE4_INCLUDE_DIR}
  .
  ${CMAKE_CURRENT_BINARY_DIR}
)

ADD_DEFINITIONS(
  ${LUA_CFLAGS}
)

LINK_DIRECTORIES(
  #${LUA_LIBRARY_DIRS}
  ${Boost_LIBRARY_DIRS}
)

TARGET_LINK_LIBRARIES(${this_test}
  ${QT_LIBRARIES}
  #${QT_QTNETWORK_LIBRARIES}
  ${QT_QTSVG_LIBRARIES}
  ${QT_QTXML_LIBRARIES}
  ${LUA_LINK_FLAGS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
)

=== tests/settings/CMakeLists.txt ===
set(main_dir "../../src")

SET(settings_SRC
  ${main_dir}/mastersettings.cpp
  ${main_dir}/settings.cpp
  settingstest.cpp
  ../cppunit_main.cpp
)

include_directories(
  ${KDE4_INCLUDES}
  ${LUA_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/${main_dir}
)

kde4_add_executable(settings_test ${settings_SRC})
target_link_libraries(settings_test ${KDE4_KDEUI_LIBS} ${CPPUNIT_LIBRARIES})

add_test(settings settings_test)

## tagua 1.0~alpha2-16

=== CMakeLists.txt ===
project(tagua)
cmake_minimum_required(VERSION 2.8.12)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(Tagua)
include(CMakeFindDependencyMacro)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

if (NOT CMAKE_BUILD_TYPE)
  set(DEBUG_BUILD 0)
else (NOT CMAKE_BUILD_TYPE)
  string(REGEX MATCH "debug" DEBUG_BUILD ${CMAKE_BUILD_TYPE})
endif (NOT CMAKE_BUILD_TYPE)

# boost
FIND_PACKAGE(Boost)

# lua
IF(SYSTEM_LUA) # use lua installed in the system
  INCLUDE(FindPkgConfig)

  # set LUA_LDFLAGS _CFLAGS _INCLUDE_DIRS _LIBRARY_DIRS
  IF(LUA_PKG)
    pkg_check_modules(LUA REQUIRED ${LUA_PKG})
  ELSE(LUA_PKG)
    pkg_check_modules(LUA lua5.1)
    IF(NOT LUA_FOUND)
      pkg_check_modules(LUA REQUIRED lua)
    ENDIF(NOT LUA_FOUND)
  ENDIF(LUA_PKG)

  ADD_CUSTOM_TARGET(lua_library)
ELSE(SYSTEM_LUA) # use the embedded lua source
  SET(LUA_BIN_DIR "${CMAKE_CURRENT_BINARY_DIR}/lua")
  SET(LUA_INCLUDE_DIRS "${LUA_BIN_DIR}/include")
  SET(LUA_LIBRARY_DIRS "${LUA_BIN_DIR}")
  SET(LUA_LDFLAGS lua)

  ADD_SUBDIRECTORY(lua)
ENDIF(SYSTEM_LUA)

# FIXME: this def is buggy in 4:16.08.3-1
set(KDEGAMES_INCLUDE_DIR "/usr/include/KF5/KF5KDEGames")

ADD_DEFINITIONS(-fexceptions -fPIC)
find_package(Qt5 REQUIRED
  Core
  Widgets
  Svg
)
find_package(KF5 REQUIRED COMPONENTS
  KDEGames
  KDELibs4Support
)


set(CMAKE_CXX_FLAGS_DEBUGFULL "${CMAKE_C_FLAGS_DEBUGFULL} -DTAGUA_DEBUG")
add_definitions(-DQT_NO_KEYWORDS ${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(translations)

enable_testing()
add_subdirectory(tests)

=== lua/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.4

# Default target executed when no arguments are given to make.
default_target: all

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /export/work/yann/games/tagua/tagua

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /export/work/yann/games/tagua/tagua

# Include the progress variables for this target.
include CMakeFiles/progress.make

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	cd /export/work/yann/games/tagua/tagua/lua && /usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	cd /export/work/yann/games/tagua/tagua/lua && /usr/bin/cmake -P cmake_install.cmake

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	cd /export/work/yann/games/tagua/tagua/lua && /usr/bin/cmake -P cmake_install.cmake

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	cd /export/work/yann/games/tagua/tagua/lua && /usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake

# Special rule for the target install/local
install/local/fast: install/local

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Only default component available"

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	cd /export/work/yann/games/tagua/tagua/lua && /usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	cd /export/work/yann/games/tagua/tagua/lua && /usr/bin/ctest --force-new-ctest-process $(ARGS)

# Special rule for the target test
test/fast: test

# The main all target
all: cmake_check_build_system
	cd /export/work/yann/games/tagua/tagua && $(CMAKE_COMMAND) -E cmake_progress_start /export/work/yann/games/tagua/tagua/CMakeFiles $(CMAKE_ALL_PROGRESS)
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f CMakeFiles/Makefile2 lua/all
	$(CMAKE_COMMAND) -E cmake_progress_start /export/work/yann/games/tagua/tagua/CMakeFiles 0

# The main clean target
clean:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f CMakeFiles/Makefile2 lua/clean

# The main clean target
clean/fast: clean

# Prepare targets for installation.
preinstall: all
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f CMakeFiles/Makefile2 lua/preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f CMakeFiles/Makefile2 lua/preinstall

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1

# Convenience name for target.
lua/CMakeFiles/lua.dir/rule:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f CMakeFiles/Makefile2 lua/CMakeFiles/lua.dir/rule

# Convenience name for target.
lua: lua/CMakeFiles/lua.dir/rule

# fast build rule for target.
lua/fast:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/build

# target to build an object file
src/lapi.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lapi.o

# target to preprocess a source file
src/lapi.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lapi.i

# target to generate assembly for a file
src/lapi.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lapi.s

# target to build an object file
src/lauxlib.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lauxlib.o

# target to preprocess a source file
src/lauxlib.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lauxlib.i

# target to generate assembly for a file
src/lauxlib.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lauxlib.s

# target to build an object file
src/lbaselib.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lbaselib.o

# target to preprocess a source file
src/lbaselib.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lbaselib.i

# target to generate assembly for a file
src/lbaselib.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lbaselib.s

# target to build an object file
src/lcode.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lcode.o

# target to preprocess a source file
src/lcode.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lcode.i

# target to generate assembly for a file
src/lcode.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lcode.s

# target to build an object file
src/ldblib.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldblib.o

# target to preprocess a source file
src/ldblib.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldblib.i

# target to generate assembly for a file
src/ldblib.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldblib.s

# target to build an object file
src/ldebug.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldebug.o

# target to preprocess a source file
src/ldebug.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldebug.i

# target to generate assembly for a file
src/ldebug.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldebug.s

# target to build an object file
src/ldo.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldo.o

# target to preprocess a source file
src/ldo.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldo.i

# target to generate assembly for a file
src/ldo.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldo.s

# target to build an object file
src/ldump.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldump.o

# target to preprocess a source file
src/ldump.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldump.i

# target to generate assembly for a file
src/ldump.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldump.s

# target to build an object file
src/lfunc.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lfunc.o

# target to preprocess a source file
src/lfunc.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lfunc.i

# target to generate assembly for a file
src/lfunc.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lfunc.s

# target to build an object file
src/lgc.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lgc.o

# target to preprocess a source file
src/lgc.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lgc.i

# target to generate assembly for a file
src/lgc.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lgc.s

# target to build an object file
src/linit.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/linit.o

# target to preprocess a source file
src/linit.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/linit.i

# target to generate assembly for a file
src/linit.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/linit.s

# target to build an object file
src/liolib.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/liolib.o

# target to preprocess a source file
src/liolib.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/liolib.i

# target to generate assembly for a file
src/liolib.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/liolib.s

# target to build an object file
src/llex.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/llex.o

# target to preprocess a source file
src/llex.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/llex.i

# target to generate assembly for a file
src/llex.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/llex.s

# target to build an object file
src/lmathlib.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lmathlib.o

# target to preprocess a source file
src/lmathlib.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lmathlib.i

# target to generate assembly for a file
src/lmathlib.s:

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -120,7 +120,7 @@
 set_source_files_properties(icsconnection.cpp
   PROPERTIES COMPILE_FLAGS -Wno-extra)
 
-kde4_add_ui_files(tagua_SRC
+ki18n_wrap_ui(tagua_SRC
   ui/pref_highlight.ui
   ui/newgamedialog.ui
   ui/pref_engines.ui
@@ -134,15 +134,26 @@
 )
 
 include_directories(
-  ${KDE4_INCLUDES}
+  ${Qt5Core_INCLUDE_DIRS}
+  ${Qt5Widgets_INCLUDE_DIRS}
+  ${Qt5Svg_INCLUDE_DIRS}
+  ${KDELibs4Support_INCLUDE_DIRS}
+
+  #${KDEGAMES_INCLUDE_DIRS}
+  /usr/include/KF5/KF5KDEGames /usr/include/KF5/KF5KDEGames/KDE
+
   ${LUA_INCLUDE_DIRS}
   ${Boost_INCLUDE_DIRS}
-  ${BLITZ_INCLUDES}
+  #${BLITZ_INCLUDES}
   ${CMAKE_CURRENT_BINARY_DIR}
+
+  #${KDEGAMES_INCLUDE_DIR}/libkdegamesprivate
+  /usr/include/KF5/KF5KDEGames/libkdegamesprivate
 )
 
 add_definitions(
   ${LUA_CFLAGS}
+  -DUSE_UNSTABLE_LIBKDEGAMESPRIVATE_API
 )
 
 if(NOT DEFINED COMPILER_HAVE_X86_MMX)
@@ -168,11 +179,11 @@
 if(DEBUG_BUILD)
   set(TAGUA_TARGET taguaprivate)
   
-  kde4_add_library(taguaprivate SHARED ${tagua_SRC})
-  kde4_add_executable(tagua main.cpp)
+  add_library(taguaprivate SHARED ${tagua_SRC})
+  add_executable(tagua main.cpp)
 else(DEBUG_BUILD)
   set(TAGUA_TARGET tagua)
-  kde4_add_executable(tagua main.cpp ${tagua_SRC})
+  add_executable(tagua main.cpp ${tagua_SRC})
 endif(DEBUG_BUILD)
 
 
@@ -182,12 +193,14 @@
   ${CMAKE_BINARY_DIR}/lib
 )
 target_link_libraries(${TAGUA_TARGET}
-  ${LUA_LINK_FLAGS}
-  ${KDE4_KDEUI_LIBS}
+  ${LUA_LDFLAGS}
   ${KDE4_KIO_LIBS}
-  ${BLITZ_LIBRARIES}
+  #${BLITZ_LIBRARIES}
   dl
-  kdegames
+  KF5KDEGames
+  KF5KDEGamesPrivate
+  KF5KDELibs4Support
+  Qt5Svg
 )  
   
 if(DEBUG_BUILD)
@@ -198,4 +211,4 @@
 
 INSTALL(TARGETS tagua DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
 install(FILES tagua.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
-install(FILES taguaui.rc DESTINATION  ${DATA_INSTALL_DIR}/tagua)
+install(FILES taguaui.rc DESTINATION  ${KXMLGUI_INSTALL_DIR}/tagua)

=== tests/CMakeLists.txt ===
# some tests require cppunit
find_package(CPPUNIT)
if(CPPUNIT_FOUND)
  add_subdirectory(settings)
  add_subdirectory(weak_set)
#  add_subdirectory(hlvariants)
else(CPPUNIT_FOUND)
  message("CppUnit not found. Tests requiring it will not be compiled.")
endif(CPPUNIT_FOUND)

=== translations/CMakeLists.txt ===
find_program(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

if(NOT GETTEXT_MSGFMT_EXECUTABLE)
  message("NOTE: msgfmt not found. Translations will *not* be installed")
else(NOT GETTEXT_MSGFMT_EXECUTABLE)
  set(catalogname tagua) 
  
  file(GLOB PO_FILES *.po)
  
  foreach(_poFile ${PO_FILES})
    message("Found translation: ${_poFile}")
    get_filename_component(_lang ${_poFile} NAME_WE)
    set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
    
    add_custom_command(OUTPUT ${_gmoFile}
            COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
            DEPENDS ${_poFile})
    add_custom_target(translation-${_lang} ALL DEPENDS ${_gmoFile})
    install(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME ${catalogname}.mo)
  endforeach(_poFile ${PO_FILES})
endif(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== data/pics/CMakeLists.txt ===
install(FILES 
  promoteBishop.png
  promoteKing.png
  promoteKnight.png
  promoteQueen.png
  promoteRook.png
DESTINATION ${DATA_INSTALL_DIR}/tagua/pics)

=== data/scripts/CMakeLists.txt ===
install(FILES 
  hllib.lua 
  movelist_textual.html
  piece_theme.lua
  shogi_themelib.lua
DESTINATION ${DATA_INSTALL_DIR}/tagua/scripts)

=== data/themes/CMakeLists.txt ===
install_local_dir(squares/Jose tagua/themes)
install_local_dir(squares/Default tagua/themes)
install_local_dir(controls/Cool tagua/themes)
install_local_dir(controls/Cool tagua/themes)
install_local_dir(controls/Google tagua/themes)
install_local_dir(controls/XBoard tagua/themes)
install_local_dir(figurines/AsciiShogiTTF tagua/themes)
install_local_dir(figurines/FantasyTTF tagua/themes)
install_local_dir(figurines/XiangQi tagua/themes)
install_local_dir(figurines/AlphaTTF tagua/themes)
install_local_dir(figurines/ShogiTTF tagua/themes)
install_local_dir(pieces/EnquilTTF tagua/themes)
install_local_dir(pieces/LucenaTTF tagua/themes)
install_local_dir(pieces/FantasySVG tagua/themes)
install_local_dir(pieces/MayanTTF tagua/themes)
install_local_dir(pieces/SpatialSVG tagua/themes)
install_local_dir(pieces/YahooTTF tagua/themes)
install_local_dir(pieces/PrmiSVG tagua/themes)
install_local_dir(pieces/StonesSVG tagua/themes)
install_local_dir(pieces/XiangQiSVG tagua/themes)
install_local_dir(pieces/XiangQiTTF tagua/themes)
install_local_dir(pieces/AlphaTTF tagua/themes)
install_local_dir(pieces/SkullsSVG tagua/themes)
install_local_dir(pieces/ShogiSVG tagua/themes)
install_local_dir(pieces/ShogiTTF tagua/themes)
install_local_dir(pieces/ShogiSVG-TTF tagua/themes)
install_local_dir(pieces/ToriShogiTTF tagua/themes)
install_local_dir(pieces/XBoardTTF tagua/themes)
install_local_dir(pieces/BerlinTTF tagua/themes)
install_local_dir(wallpapers tagua/themes)

=== tests/hlvariants/CMakeLists.txt ===
--- 
+++ 
@@ -13,11 +13,16 @@
   shogideserializationtest.cpp
 )
 
+add_definitions(
+  -DUSE_UNSTABLE_LIBKDEGAMESPRIVATE_API
+)
+
 include_directories(
   ${KDE4_INCLUDES}
   ${Boost_INCLUDE_DIRS}
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/${main_dir}
+  /usr/include/libkdegamesprivate/
 )
 
 add_executable(hl_test ${hl_SRC})

=== tests/luaimage/CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
   ${QT_LIBRARIES}
   #${QT_QTNETWORK_LIBRARIES}
   ${QT_QTSVG_LIBRARIES}
-  ${LUA_LINK_FLAGS}
+  ${LUA_LDFLAGS}
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KIO_LIBS}
 )

=== tests/movelist/CMakeLists.txt ===
--- 
+++ 
@@ -45,7 +45,7 @@
   #${QT_QTNETWORK_LIBRARIES}
   #${QT_QTSVG_LIBRARIES}
   ${QT_QTXML_LIBRARIES}
-  #${LUA_LINK_FLAGS}
+  #${LUA_LDFLAGS}
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KIO_LIBS}
   ${KDE4_KHTML_LIBS}

=== tests/options/CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
   #${QT_QTNETWORK_LIBRARIES}
   ${QT_QTSVG_LIBRARIES}
   ${QT_QTXML_LIBRARIES}
-  ${LUA_LINK_FLAGS}
+  ${LUA_LDFLAGS}
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KIO_LIBS}
 )

## tagua 1.0~alpha2-16-g618c6a0

=== debian/changelog ===
tagua (1.0~alpha2-16-g618c6a0-1) unstable; urgency=medium

  * Port to Qt5/KF5 (Closes: #875201)
  * Switch packaging to format 3.0 (quilt).
  * Take source from good old repo.or.cz git repository, update
    copyright file.

 -- Yann Dirson <dirson@debian.org>  Sat, 30 Sep 2017 22:53:36 +0200

tagua (1.0~alpha2-15) unstable; urgency=medium

  * Don't refresh .pot and .po file on each build to make the build
    reproducible.

 -- Yann Dirson <dirson@debian.org>  Sun, 17 Jul 2016 00:18:02 +0200

tagua (1.0~alpha2-14) unstable; urgency=medium

  * Fix build of tests, build-depend on libcppunit-dev to get them built.
  * Switch to dh, bump compat level to 9 (Closes: #806116)

 -- Yann Dirson <dirson@debian.org>  Sat, 16 Jul 2016 22:06:23 +0200

tagua (1.0~alpha2-13) unstable; urgency=medium

  * Fixed build failure with g++-6 (Closes: #811629):
    * implicit conversions of shared_ptr to bool
    * uses of boost::shared_ptr without explicit namespace
  * Removed long-invalid debian/watch.
  * Fixed email address in README.Debian

 -- Yann Dirson <dirson@debian.org>  Thu, 07 Jul 2016 00:41:19 +0200

tagua (1.0~alpha2-12) unstable; urgency=low

  * Adjusted build-deps to require kdegames 4.10, since apparently
    libkdegamesprivate was not part of 4.8.

 -- Yann Dirson <dirson@debian.org>  Mon, 19 Aug 2013 18:12:54 +0200

tagua (1.0~alpha2-11) unstable; urgency=low

  * Fix FTBFS with kdegames 4.10 (Pino Toscano, Closes: #717415).

 -- Yann Dirson <dirson@debian.org>  Sun, 18 Aug 2013 15:13:06 +0200

tagua (1.0~alpha2-10) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fixed FTBFS with gcc 4.7 by using “this->” where needed (Closes: #667389).

  [ Yann Dirson ]
  * Fixed typo in previous changelog entry (lintian).

 -- Yann Dirson <dirson@debian.org>  Sun, 13 May 2012 21:01:27 +0200

tagua (1.0~alpha2-9) unstable; urgency=low

  * Fixed build on at least amd64 (Pino Toscano, Closes: #582991).
  * Explicitly state 1.0 as debian/source/format.
  * Bumped Standards-Version to 3.8.4, no change.

 -- Yann Dirson <dirson@debian.org>  Wed, 23 Jun 2010 23:29:02 +0200

tagua (1.0~alpha2-8) unstable; urgency=low

  * Upload to unstable, at last.
  * Suggest the various xboard-compatible IAs, as well as shogi and
    minishogi IAs.
  * Bumped Standards-Version to 3.8.3, no change.

 -- Yann Dirson <dirson@debian.org>  Sat, 05 Sep 2009 22:03:31 +0200

tagua (1.0~alpha2-7) experimental; urgency=low

  * Rebuild with kde 4.2, following soname and package name changes for
    libkdegames; update build-deps accordingly.

 -- Yann Dirson <dirson@debian.org>  Sat, 07 Feb 2009 17:41:15 +0100

tagua (1.0~alpha2-6) experimental; urgency=low

  * Add build-dependency on pkg-config - the previous upload did not fox
    the problem, but at least it made the cause visible (Closes: #479376).

 -- Yann Dirson <dirson@debian.org>  Mon, 05 May 2008 20:43:20 +0200

tagua (1.0~alpha2-5) experimental; urgency=low

  * Use the FindPkgConfig cmake package instead of the deprecated
    UsePkgConfig, in the home that it will solve #479376.

 -- Yann Dirson <dirson@debian.org>  Sun, 04 May 2008 17:49:29 +0200

tagua (1.0~alpha2-4) experimental; urgency=low

  * Updated code from candidate stable upstream branch
    (tagua/yd.git#stable):
    * Fixed currentChanged signal connection to occur after game has been
      created, to avoid a crash caused by Qt 4.4 changing expectations.
    * Fixed tori shogi theme.
  * Build-depend on kdelibs4 4.0.72 or better to avoid the problems of
    extraneous shared-libs dependencies causing FTBFS everywhere (Closes:
    #479092).

 -- Yann Dirson <dirson@debian.org>  Sat, 03 May 2008 01:23:59 +0200

tagua (1.0~alpha2-3) experimental; urgency=low

  * Address name clashes which confuse g++-4.3 (Closes: #477123).

 -- Yann Dirson <dirson@debian.org>  Tue, 22 Apr 2008 00:38:42 +0200

tagua (1.0~alpha2-2) experimental; urgency=low

  * Configure with CMAKE_SKIP_RPATH:BOOL=YES to avoid linking executable
    with rpath, as per policy.
  * Remove the cmake cache when cmake fails, to prevent make to think
    cmake has run.

 -- Yann Dirson <dirson@debian.org>  Tue, 08 Apr 2008 21:25:30 +0200

tagua (1.0~alpha2-1) experimental; urgency=low

  * Initial Release (Closes: #474254).

 -- Yann Dirson <dirson@debian.org>  Thu, 03 Apr 2008 21:56:46 +0200

=== debian/control ===
Source: tagua
Section: games
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 9), libkf5kdegames-dev, libkf5kdelibs4support-dev, libqt5svg5-dev, cmake, extra-cmake-modules, libboost-dev, liblua5.1-0-dev, kdesdk-scripts, pkg-config, libcppunit-dev
Standards-Version: 3.8.4

Package: tagua
Architecture: any
Depends: tagua-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: gnuchess, phalanx, crafty, sjeng, fairymax, gnushogi, gnuminishogi, gpsshogi
Description: Board-game frontend for playing chess variants and other games
 Tagua is a frontend for a variety of board games.  Currently
 supported games include chess, shogi and a couple of variants of
 those games.
 .
 Tagua is based on a powerful plugin system that allows many games to
 share the same graphical framework, game history handling,
 interoperability with AI engines and connectivity to network servers.
 .
 It currently has support for xboard-compatible chess engines, and
 xshogi-compatible shogi engines, as well as network play on chess ICS
 servers.

Package: tagua-data
Architecture: all
Depends: ${misc:Depends}
Description: Theme data for the tagua board-game frontend
 This package contains the architecture independent data files
 required by tagua.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

QT5HOSTBIN := $(shell pkg-config --print-errors --variable=host_bins Qt5Core)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DSYSTEM_LUA=yes \
		-DCMAKE_SKIP_RPATH:BOOL=YES \
		-DCMAKE_INSTALL_PREFIX:PATH=/usr \
		-DQT_QMAKE_EXECUTABLE:FILEPATH=$(QT5HOSTBIN)/qmake

override_dh_auto_install:
	dh_auto_install
	cd debian/tmp && mv usr/bin usr/games

override_dh_install:
	dh_install --fail-missing
